
;-| Super Motions |--------------------------------------------------------

[Command]
name = "SuperFireball"
command = ~D, DF, F, D, DF, F, x
time = 20

[Command] 
name = "SuperFireball"   ;Same name as above
command = ~D, DF, F, D, DF, F, y
time = 20

[Command]
name = "SuperDrill"
command = ~30$B, F, x+y
time = 30

;-| Special Motions |------------------------------------------------------

[Command]
name = "Drill_x"
command = ~20$B, /F, x

[Command]
name = "Drill_y"
command = ~20$B, /F, y

[Command]
name = "fireball_x"
command = ~D, DF, F, x 

[Command]
name = "fireball_y"
command = ~D, DF, F, y 

[Command]
name = "chestb_a"
command = ~25$B, F, a

[Command]
name = "chestb_b"
command = ~25$B, F, b

;-| Double Tap |-----------------------------------------------------------
[Command]
name = "FF"
command = F, F
time = 15

[Command]
name = "BB"
command = B, B
time = 15

;-| 2/3 Button Combination |-----------------------------------------------
[Command]
name = "recovery" ;Required (do not remove)
command = x+y
time = 1

[Command]
name = "ab"
command = a+b
time = 1

[Command]
name = "ab"
command = x+y
time = 1

;-| Dir + Button |---------------------------------------------------------
[Command]
name = "fwd_a"
command = /F,a
time = 1
[Command]
name = "fwd_b"
command = /F,b
time = 1
[Command]
name = "fwd_c"
command = /F,c
time = 1
[Command]
name = "fwd_x"
command = /F,x
time = 1
[Command]
name = "fwd_y"
command = /F,y
time = 1
[Command]
name = "fwd_z"
command = /F,z
time = 1

[Command]
name = "back_a"
command = /B,a
time = 1
[Command]
name = "back_b"
command = /B,b
time = 1
[Command]
name = "back_c"
command = /B,c
time = 1
[Command]
name = "back_x"
command = /B,x
time = 1
[Command]
name = "back_y"
command = /B,y
time = 1

[Command]
name = "back_z"
command = /B,z
time = 1

[Command]
name = "down_a"
command = /D,a
time = 1

[Command]
name = "down_b"
command = /D,b
time = 1

[Command]
name = "down_x"
command = /D,x
time = 1

[Command]
name = "down_y"
command = /D,y
time = 1

[Command]
name = "fwd_ab"
command = /F, a+b
time = 1

[Command]
name = "fwd_xy"
command = /F, x+y
time = 1

[Command]
name = "back_xy"
command = /B, x+y
time = 1

;-| Single Button |---------------------------------------------------------
[Command]
name = "a"
command = a
time = 1

[Command]
name = "b"
command = b
time = 1

[Command]
name = "c"
command = c
time = 1

[Command]
name = "x"
command = x
time = 1

[Command]
name = "y"
command = y
time = 1

[Command]
name = "z"
command = z
time = 1

[Command]
name = "start"
command = s
time = 1

;-| Hold Button |-----------------------------------------------------------
[Command]
name = "hold_x"
command = /x
time = 1

[Command]
name = "hold_y"
command = /y
time = 1

[Command]
name = "hold_a"
command = /a
time = 1

[Command]
name = "hold_b"
command = /b
time = 1

;-| Hold Dir |--------------------------------------------------------------
[Command]
name = "holdfwd"
command = /$F
time = 1

[Command]
name = "holdback"
command = /$B
time = 1

[Command]
name = "holdup"
command = /$U
time = 1

[Command]
name = "holddown"
command = /$D
time = 1

;---------------------------------------------------------------------------
; Commands
[Statedef -1]

;===========================================================================


;---------------------------------------------------------------------------

;Super Drill
[State -1]
type = ChangeState
value = 4000
trigger1 = command = "SuperDrill";Place name of command here
trigger2 = command = "SuperDrill"
trigger3 = command = "SuperDrill"
triggerall = power >= 3000 ;Level 3 super
triggerall = command != "holddown";Standing moves should have this line
 ;The following is true if Player is in stand state, and has control
trigger1 = statetype = S
trigger1 = ctrl = 1
trigger2 = statetype = S
trigger2 = ctrl = 1
trigger3 = statetype = S
trigger3 = ctrl = 1

;===========================================================================
;---------------------------------------------------------------------------

;Super Fireball
[State -1]
type = ChangeState
value = 1700
triggerall = command = "SuperFireball"
triggerall = numproj = 0
triggerall = power >= 2000 ;Level 2 Super
trigger1 = statetype = S
trigger1 = ctrl = 1
trigger2 = stateno = 200        ;Stand_a
trigger3 = stateno = 300        ;Stand_fwd_a
trigger3 = MoveContact
trigger4 = stateno = 500        ;Crouch_fwd_a
trigger4 = time <= 2
trigger5 = stateno = 410        ;Crouch_b
trigger5 = MoveContact
trigger6 = stateno = 210        ;stand_b
trigger6 = MoveContact

;---------------------------------------------------------------------------

;Drill
[State -1]
type = ChangeState
value = 3001
triggerall = command = "Drill_x";Place name of command here
triggerall = command != "holddown";Standing moves should have this line
 ;The following is true if Player is in stand state, and has control
trigger1 = statetype = S
trigger1 = ctrl = 1
trigger2 = stateno = 411
trigger2 = MoveContact  ;If move hits, or is guarded by opponent
trigger3 = stateno = 400
trigger3 = MoveContact  ;If move hits, or is guarded by opponent
trigger4 = stateno = 410
trigger4 = MoveContact  ;If move hits, or is guarded by opponent
trigger5 = stateno = 401
trigger5 = MoveContact  ;If move hits, or is guarded by opponent
trigger6 = stateno = 402
trigger6 = MoveContact  ;If move hits, or is guarded by opponent
trigger7 = stateno = 412
trigger7 = MoveContact  ;If move hits, or is guarded by opponent
trigger8 = stateno = 211
trigger8 = MoveContact  ;If move hits, or is guarded by opponent
trigger9 = stateno = 200
trigger9 = MoveContact  ;If move hits, or is guarded by opponent
trigger10 = stateno = 210
trigger10 = MoveContact  ;If move hits, or is guarded by opponent
trigger11 = stateno = 201
trigger11 = MoveContact  ;If move hits, or is guarded by opponent
trigger12 = stateno = 202
trigger12 = MoveContact  ;If move hits, or is guarded by opponent
trigger13 = stateno = 212
trigger13 = MoveContact  ;If move hits, or is guarded by opponent

;---------------------------------------------------------------------------

;Drill
[State -1]
type = ChangeState
value = 3002
triggerall = command = "Drill_y";Place name of command here
triggerall = command != "holddown";Standing moves should have this line
 ;The following is true if Player is in stand state, and has control
trigger1 = statetype = S
trigger1 = ctrl = 1
trigger2 = stateno = 411
trigger2 = MoveContact  ;If move hits, or is guarded by opponent
trigger3 = stateno = 400
trigger3 = MoveContact  ;If move hits, or is guarded by opponent
trigger4 = stateno = 410
trigger4 = MoveContact  ;If move hits, or is guarded by opponent
trigger5 = stateno = 401
trigger5 = MoveContact  ;If move hits, or is guarded by opponent
trigger6 = stateno = 402
trigger6 = MoveContact  ;If move hits, or is guarded by opponent
trigger7 = stateno = 412
trigger7 = MoveContact  ;If move hits, or is guarded by opponent
trigger8 = stateno = 211
trigger8 = MoveContact  ;If move hits, or is guarded by opponent
trigger9 = stateno = 200
trigger9 = MoveContact  ;If move hits, or is guarded by opponent
trigger10 = stateno = 210
trigger10 = MoveContact  ;If move hits, or is guarded by opponent
trigger11 = stateno = 201
trigger11 = MoveContact  ;If move hits, or is guarded by opponent
trigger12 = stateno = 202
trigger12 = MoveContact  ;If move hits, or is guarded by opponent
trigger13 = stateno = 212
trigger13 = MoveContact  ;If move hits, or is guarded by opponent

;---------------------------------------------------------------------------
;Chest what-the-hell (gotta figure what he yells...) :p
[State -1, Chest what-the-hell]
type = ChangeState
value = 1000
triggerall = command = "chestb_a"
trigger1 = statetype != A
trigger1 = ctrl
trigger2 = (stateno = [200,299]) || (stateno = [400,499])
trigger2 = stateno != 440 ;Except for sweep kick
trigger2 = movecontact

;---------------------------------------------------------------------------
;Light Chest what-the-hell (gotta figure what he yells...) :p
[State -1, Light Chest what-the-hell]
type = ChangeState
value = 1010
triggerall = command = "chestb_b"
trigger1 = statetype != A
trigger1 = ctrl
trigger2 = (stateno = [200,299]) || (stateno = [400,499])
trigger2 = stateno != 440 ;Except for sweep kick
trigger2 = movecontact

;---------------------------------------------------------------------------
;FIREBALL_X
[State -1]
type = ChangeState
value = 300
triggerall = command = "fireball_x"
triggerall = numproj = 0
trigger1 = statetype = S
trigger1 = ctrl = 1
trigger2 = stateno = 200        ;Stand_a
trigger3 = stateno = 230        ;Stand_x
trigger3 = MoveContact
trigger4 = stateno = 240        ;stand_y
trigger4 = MoveContact
trigger5 = stateno = 250        ;stand_z
trigger5 = MoveContact
trigger6 = stateno = 400        ;crouch_a
trigger6 = MoveContact
trigger6 = time > 7
trigger7 = stateno = 430        ;crouch_x
trigger7 = MoveContact
trigger7 = time > 6
trigger8 = stateno = 440        ;crouch_y
trigger8 = MoveContact
trigger9 = stateno = 355        ;stand_back_z
trigger9 = MoveContact
trigger10 = stateno = 245       ;stand_y (close)
trigger10 = MoveContact

;FIREBALL_Y
[State -1]
type = ChangeState
value = 301
triggerall = command = "fireball_y"
triggerall = numproj = 0
trigger1 = statetype = S
trigger1 = ctrl = 1
trigger2 = stateno = 200        ;Stand_a
trigger3 = stateno = 230        ;Stand_x
trigger3 = MoveContact
trigger4 = stateno = 240        ;stand_y
trigger4 = MoveContact
trigger5 = stateno = 250        ;stand_z
trigger5 = MoveContact
trigger6 = stateno = 400        ;crouch_a
trigger6 = MoveContact
trigger6 = time > 7
trigger7 = stateno = 430        ;crouch_x
trigger7 = MoveContact
trigger7 = time > 6
trigger8 = stateno = 440        ;crouch_y
trigger8 = MoveContact
trigger9 = stateno = 355        ;stand_back_z
trigger9 = MoveContact
trigger10 = stateno = 245       ;stand_y (close)
trigger10 = MoveContact

;---------------------------------------------------------------------------

;RunFwd
[State -1]
type = ChangeState
value = 100
trigger1 = command = "FF"
trigger1 = statetype = S
trigger1 = ctrl = 1

;---------------------------------------------------------------------------
;RunB
[State -1]
type = ChangeState
value = 105
trigger1 = command = "BB"
trigger1 = statetype = S
trigger1 = ctrl = 1

;===========================================================================
;---------------------------------------------------------------------------
;Kung Fu Throw
;"
[State -1, Kung Fu Throw]
type = ChangeState
value = 800
triggerall = command = "y"
triggerall = statetype = S
triggerall = ctrl
triggerall = stateno != 100
trigger1 = command = "holdfwd"
trigger1 = p2bodydist X < 3
trigger1 = (p2statetype = S) || (p2statetype = C)
trigger1 = p2movetype != H
trigger2 = command = "holdback"
trigger2 = p2bodydist X < 5
trigger2 = (p2statetype = S) || (p2statetype = C)
trigger2 = p2movetype != H


;===========================================================================
;---------------------------------------------------------------------------
;Stand Light Punch
;p"`
[State -1, Stand Light Punch]
type = ChangeState
value = 200
triggerall = command = "x"
triggerall = command != "holddown"
trigger1 = statetype = S
trigger1 = ctrl
trigger2 = stateno = 200
trigger2 = time > 7

;---------------------------------------------------------------------------
;Stand Strong Punch
;p"`
[State -1, Stand Strong Punch]
type = ChangeState
value = 210
triggerall = command = "y"
triggerall = command != "holddown"
trigger1 = statetype = S
trigger1 = ctrl
trigger2 = (stateno = 200) && time > 5
trigger3 = (stateno = 230) && time > 6

;---------------------------------------------------------------------------
;Stand Light Kick
;LbN
[State -1, Stand Light Kick]
type = ChangeState
value = 230
triggerall = command = "a"
triggerall = command != "holddown"
trigger1 = statetype = S
trigger1 = ctrl
trigger2 = (stateno = 200) && time > 7
trigger3 = (stateno = 230) && time > 9

;---------------------------------------------------------------------------
;Standing Strong Kick
;LbN
[State -1, Standing Strong Kick]
type = ChangeState
value = 240
triggerall = command = "b"
triggerall = command != "holddown"
trigger1 = statetype = S
trigger1 = ctrl
trigger2 = (stateno = 200) && time > 5
trigger3 = (stateno = 230) && time > 6

;---------------------------------------------------------------------------
;Taunt
;'"
[State -1, Taunt]
type = ChangeState
value = 195
triggerall = command = "start"
trigger1 = statetype != A
trigger1 = ctrl

;---------------------------------------------------------------------------
;Crouching Light Punch
;Ⴊݎp"`
[State -1, Crouching Light Punch]
type = ChangeState
value = 400
triggerall = command = "x"
triggerall = command = "holddown"
trigger1 = statetype = C
trigger1 = ctrl

;---------------------------------------------------------------------------
;Crouching Strong Punch
;Ⴊ݋p"`
[State -1, Crouching Strong Punch]
type = ChangeState
value = 410
triggerall = command = "y"
triggerall = command = "holddown"
trigger1 = statetype = C
trigger1 = ctrl
trigger2 = (stateno = 400) || (stateno = 430)
trigger2 = (time > 9) || (movecontact && time > 5)

;---------------------------------------------------------------------------
;Crouching Light Kick
;ႪݎLbN
[State -1, Crouching Light Kick]
type = ChangeState
value = 430
triggerall = command = "a"
triggerall = command = "holddown"
trigger1 = statetype = C
trigger1 = ctrl
trigger2 = (stateno = 400) || (stateno = 430)
trigger2 = (time > 9) || (movecontact && time > 5)

;---------------------------------------------------------------------------
;Crouching Strong Kick
;Ⴊ݋LbN
[State -1, Crouching Strong Kick]
type = ChangeState
value = 440
triggerall = command = "b"
triggerall = command = "holddown"
trigger1 = statetype = C
trigger1 = ctrl
trigger2 = (stateno = 400) || (stateno = 430)
trigger2 = (time > 9) || (movecontact && time > 5)

;---------------------------------------------------------------------------
;Jump Light Punch
;'p"`
[State -1, Jump Light Punch]
type = ChangeState
value = 600
triggerall = command = "x"
trigger1 = statetype = A
trigger1 = ctrl
trigger2 = stateno = 600
trigger2 = statetime >= 7

;---------------------------------------------------------------------------
;Jump Strong Punch
[State -1, Jump Strong Punch]
type = ChangeState
value = 610
triggerall = command = "y"
trigger1 = statetype = A
trigger1 = ctrl
trigger2 = stateno = 600 || stateno = 630 ;jump_x or jump_a
trigger2 = movecontact

;---------------------------------------------------------------------------
;Jump Light Kick
[State -1, Jump Light Kick]
type = ChangeState
value = 630
triggerall = command = "a"
trigger1 = statetype = A
trigger1 = ctrl

;---------------------------------------------------------------------------
;Jump Strong Kick
;'LbN
[State -1, Jump Strong Kick]
type = ChangeState
value = 640
triggerall = command = "b"
trigger1 = statetype = A
trigger1 = ctrl
trigger2 = stateno = 600 || stateno = 630 ;jump_x or jump_a
trigger2 = movecontact

;---------------------------------------------------------------------------



